onEvent('recipes', event => {
  event.replaceInput({id: 'create:crafting/logistics/brass_funnel'}, 'minecraft:dried_kelp', 'create:andesite_funnel')
  event.remove({id: 'create:crafting/materials/andesite_casing'})
  event.shaped('create:andesite_casing', [
    'PCP',
    'ALA',
    'PCP'
  ], {
    P: '#minecraft:planks',
    C: 'create:cogwheel',
    A: 'create:andesite_alloy',
    L: '#minecraft:logs'
  })
  event.remove({id: 'create:crafting/logistics/andesite_tunnel'})
  event.shaped('4x create:andesite_tunnel', [
    'AA ',
    'CC ',
    'KK '
  ], {
    A: 'create:andesite_alloy',
    C: 'create:andesite_casing',
    K: 'minecraft:dried_kelp'
  })
  event.remove({id: 'create:crafting/logistics/brass_tunnel'})
  event.shaped('2x create:brass_tunnel', [
    'E  ',
    'BB ',
    'AA '
  ], {
    E: 'create:electron_tube',
    B: 'create:brass_ingot',
    A: 'create:andesite_tunnel'
  })
})
